<?php
/***************************************************************************
 *
 *                             adminrecommend.php
 *                            --------------------
 *   begin                : Tuesday, January 24, 2006
 *   copyright            : (c)2006 www.tec2spec.co.uk
 *   email                : support@tec2spec.co.uk
 *
 *   $Id : recommend.php, v 1.0.2 2006/05/09 acoolwelshbloke Exp $
 *   Support @ http://www.tec2spec.co.uk
 *
 ***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************
 *
 *   This is a MOD for phpbb v2.0.19+. The phpbb group has all rights to the 
 *   phpbb source. They can be contacted at :
 *   
 *      I-Net : www.phpbb.com
 *      E-Mail: support@phpbb.com
 *
 ***************************************************************************/
 
define('IN_PHPBB', true);
$phpbb_root_path = "./";
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);
include($phpbb_root_path . 'includes/functions_post.'.$phpEx);


$userdata = session_pagestart($user_ip, PAGE_RECOMMEND);
init_userprefs($userdata);

if( !$userdata['session_logged_in'] ) 
    { 
        redirect(append_sid("login.$phpEx?redirect=recommend.$phpEx", true));
    } 
        
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->assign_vars(array(
	'L_RECOMMEND_TITLE' => $lang['Recommend_Forum'],
	'L_RECOMMEND_EMAIL_MESSAGE' => $lang['Recommend_Forum_Email_Message'],
	'L_RECOMMEND_SENDER_USER' => $lang['Recommend_Forum'],
	'L_RECOMMEND_SENDER_USER' => $lang['Recommend_Forum_Sender_User'],
	'L_RECOMMEND_SENDER_EMAIL' => $lang['Recommend_Forum_Sender_Email'],
	'L_RECOMMEND_RECIEVER_USER' => $lang['Recommend_Forum_Reciever_User'],
	'L_RECOMMEND_RECIEVER_EMAIL' => $lang['Recommend_Forum_Reciever_Email'],
	'L_RECOMMEND_MSG' => $lang['Recommend_Forum_Msg'],
	'L_RECOMMEND_BODY' => sprintf($lang['Recommend_Forum_Body'], $board_config['sitename'], $lang['Recommend_Forum_URL']),
	
	"SUBMIT_ACTION" => append_sid('recommend.'.$phpEx), 
	"SITENAME" => $board_config['sitename'], 
	"SENDER_NAME" => $userdata['username'], 
	"SENDER_MAIL" => $userdata['user_email'], 
));

		if ( isset($HTTP_POST_VARS['submit']) )
		{
			
			$error = FALSE;

			if ( !empty($HTTP_POST_VARS['friendname']) )
			{
				$friendname = trim(stripslashes($HTTP_POST_VARS['friendname']));
			}
			else
			{
				$error = TRUE;
				$error_msg = "You have not entered the name of your friend";
			}

			if ( !empty($HTTP_POST_VARS['friendemail']) )
			{
				$friendemail = trim(stripslashes($HTTP_POST_VARS['friendemail']));
			}
			else
			{
				$error = TRUE;
				$error_msg = "You have not entered your friends email address";
			}

			if ( !empty($HTTP_POST_VARS['message']) )
			{
				$message = trim(stripslashes($HTTP_POST_VARS['message']));
			}
			else
			{
				$error = TRUE;
				$error_msg = "You have not entered any message";
			}

			if ( !$error )
			{
   					// Validates email address.
					$emailcheck = ".+@.+\..+";
				
					if (eregi($emailcheck, $friendemail))
					{
					echo'';
					}
					else
					{ 
					message_die(GENERAL_ERROR, $lang['Recommend_Forum_error']);
					}

					include($phpbb_root_path . 'includes/emailer.'.$phpEx);
					$emailer = new emailer($board_config['smtp_delivery']);
					
					$emailer->from($userdata['user_email']);
					$emailer->replyto($userdata['user_email']);

					$email_headers .= 'X-AntiAbuse: Board servername - ' . $server_name . "\n";
					$email_headers .= 'X-AntiAbuse: User_id - ' . $userdata['user_id'] . "\n";
					$email_headers .= 'X-AntiAbuse: Username - ' . $userdata['username'] . "\n";
					$email_headers .= 'X-AntiAbuse: User IP - ' . decode_ip($user_ip) . "\n";

					$emailer->use_template('recommend_email', $user_lang);
					$emailer->email_address($friendemail);
					$emailer->set_subject(trim(stripslashes($board_config['sitename'])));
					$emailer->extra_headers($email_headers);

					$emailer->assign_vars(array(
						'SITENAME' => $board_config['sitename'], 
						'BOARD_EMAIL' => $board_config['board_email'], 
						'FROM_USERNAME' => $userdata['username'], 
						'NAME' => $friendname,
						'TO_USERNAME' => $friendemail,
						'MESSAGE' => $message)
					);
					$emailer->send();
					$emailer->reset();

					$template->assign_vars(array(
						'META' => '<meta http-equiv="refresh" content="5;url=' . append_sid("index.$phpEx") . '">')
					);

					$message = $lang['Email_sent'] . '<br /><br />' . sprintf($lang['Click_return_index'],  '<a href="' . append_sid("index.$phpEx") . '">', '</a>');

					message_die(GENERAL_MESSAGE, $message);
			}

			if ( $error )
			{
				$template->set_filenames(array(
					'reg_header' => 'error_body.tpl')
				);
				$template->assign_vars(array(
					'ERROR_MESSAGE' => $error_msg)
				);
				$template->assign_var_from_handle('ERROR_BOX', 'reg_header');
			}

		}


$template->set_filenames(array("body" => "recommend_body.tpl"));
make_jumpbox('viewforum.'.$phpEx);
$template->pparse("body");

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
?>